Skip to main content

V1 Full Account View

Fetch the combined indexed account view, including staking pools, FT balances, NFTs, and account state. This page opens with a seeded ecosystem account so the embedded Try-It console is immediately usable.

Network
FastNear API keyNo saved key
Get API key
Endpointhttps://api.fastnear.com
Authnone detected
Live Response

Responses from the selected endpoint appear here after you run a request.

Live response output will appear here after you run a request.

Request reference

GET

This operation performs GET /v1/account/{account_id}/full.

Required request inputs: yes

GET /v1/account/root.near/full

Path parameters

account_id *string

Query parameters

apiKeystring

Response reference

200 application/json

Full indexed account information for the requested account

Response schema

objectAccountFullResponse
requires account_id, pools, tokens, nfts, state
account_id *string
nfts *array
itemsobjectNftRow
requires contract_id, last_update_block_height
contract_id *string
last_update_block_height *integer
pools *array
itemsobjectPoolRow
requires pool_id, last_update_block_height
last_update_block_height *integer
pool_id *string
state *object
tokens *array
itemsobjectTokenRow
requires contract_id, last_update_block_height, balance
balance *string
contract_id *string
last_update_block_height *integer